# Повідомлення у POS-систему

Для отримання повідомлень дотстатньо реалізувати команду "operation":"showMessage"

Команда відправляється з серверу, коли отримаєте команду -> можно відображати у себе в інтерфейсі.

<table><thead><tr><th width="123">Name</th><th width="99">Value</th><th>Description</th></tr></thead><tbody><tr><td>rId</td><td>string</td><td>Ідентифікатор запиту</td></tr><tr><td>message</td><td>string</td><td>Повідомлення яке треба показати в POS-системі</td></tr><tr><td>warning</td><td>booleon</td><td></td></tr><tr><td>billId</td><td>string</td><td>id рахунку (може бути null якщо повідмолення не стосується конкретного рахунку)</td></tr><tr><td>operation</td><td>string</td><td>Команда, яка означає що прийшло повідомлення від Expirenza</td></tr></tbody></table>

{% code title="Приклад повідомлення" %}

```json
{
   "rID":"aa61d473a08e41a9b52a5a66fb959999",
   "message":"УВАГА! Адміністратор Адмінаістратор повернув оплату рахунків [32070] гостю. Будь ласка, переконайтесь, що ці рахунки позначені неоплаченими у вашій системі обліку.",
   "warning":false,
   "billId":"8327brrr-201f-1f11-1f11-8b7d239d4949",
   "operation":"showMessage"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.expirenza.com/api/messages/povidomlennya-u-pos-sistemu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
